define([
    'taoQtiItem/qtiCreator/widgets/states/factory',
    'taoQtiItem/qtiCreator/widgets/states/Correct',
    'lodash'
], function(stateFactory, Correct, _){

    var pciStateCorrect = stateFactory.create(Correct, function(){
    
        var widget = this.widget;
        var interaction = widget.element;
        var responseDeclaration = interaction.getResponseDeclaration();
        interaction.onPci('responsechange', function (response) {
            responseDeclaration.setCorrect(["PASS"]);
        });

    }, function(){
        var widget = this.widget;
        var interaction = widget.element;
        
        //interaction.resetResponse();
        //interaction.offPci('.question');
    });

    return pciStateCorrect;
});
