define([
    'taoQtiItem/qtiCreator/widgets/interactions/customInteraction/Widget',
    'taoQtiItem/portableElementRegistry/ciRegistry',
    'CodeBlockProgrammingScore/creator/widget/states/states'
], function(Widget, ciRegistry, states){

    var pciWidget = Widget.clone();

    pciWidget.initCreator = function(){

        this.registerStates(states);

        Widget.initCreator.call(this);
    };

    pciWidget.createToolbar = function(options){

        var creator = ciRegistry.getAuthoringData(this.element.typeIdentifier);
        options = _.defaults(options || {}, {title : "Score Of Programming Interaction"});

        return Widget.createToolbar.call(this, options);
    };

    return pciWidget;
});
