requirejs.config({
    paths: {
        jquery: 'CodeBlockProgrammingScore/runtime/js/lib/jquery.min'
    }
});

define([
    'jquery',
], function ($) {

    let Handler = function (id, $root, config, assetManager) {
        this.$root = $root;
        this.isEditorMode = $root.closest('.item-editor-item').length > 0;
    };

    Handler.prototype.main = function () {
        if (!this.isEditorMode){
            this.$root.find('.cbp-score-title').hide();
        }
    };

    Handler.prototype.finish = function () {}

    Handler.prototype.destroy = function () {}

    return Handler;
});
